sc::StateInText(3)

NAME
sc::StateInText -

Reads state information written with StateOutText.

SYNOPSIS

#include <state_text.h>

Inherits sc::StateInFile.

  Public Member Functions
StateInText (std::istream &s)
StateInText (const char *)
StateInText (const Ref< KeyVal > &)
int getstring (char *&)
This restores strings saved with StateOut::putstring.
int get_array_char (char *, int)
These restore data saved with StateOut's put.
int get_array_uint (unsigned int *, int)
int get_array_int (int *, int)
int get_array_float (float *, int)
int get_array_double (double *, int)
int get (const ClassDesc **)
This restores ClassDesc's.
int get (char &r, const char *key=0)
These restore data saved with StateOut's put. members.
int get (unsigned int &r, const char *key=0)
int get (int &r, const char *key=0)
int get (float &r, const char *key=0)
int get (double &r, const char *key=0)
int get (char *&)
These restore data saved with StateOut's put.
int get (unsigned int *&)
int get (int *&)
int get (float *&)
int get (double *&)

  Protected Member Functions
void no_newline ()
void no_array ()
int read (char *)
int read (unsigned int &)
int read (int &)
int read (float &)
int read (double &)
void newline ()
void start_array ()
void end_array ()
int getobject (Ref< SavableState > &)
This is used to restore an object.
void abort ()

  Protected Attributes
int newlines_
int no_newline_
int no_array_

Detailed Description

Reads state information written with StateOutText.

Member Function Documentation

  int sc::StateInText::get (const ClassDesc **) [virtual]

This restores ClassDesc's. It will set the pointer to the address of the static ClassDesc for the class which has the same name as the class that had the ClassDesc that was saved by put(const ClassDesc*).

Reimplemented from sc::StateIn.

  int sc::StateInText::get (char *&) [virtual]

These restore data saved with StateOut's put. members. The data is allocated by StateIn.

Reimplemented from sc::StateIn.

  int sc::StateInText::get_array_char (char *p, intsize) [virtual]

These restore data saved with StateOut's put. members. The data must be preallocated by the user.

Reimplemented from sc::StateIn.

  int sc::StateInText::getobject (Ref< SavableState > &) [protected], [virtual]

This is used to restore an object. It is called with the reference to the reference being restored. If the data being restored has previously been restored, then the pointer being restored is set to a reference to the previously restored object.

Reimplemented from sc::StateIn.

Author

Generated automatically by Doxygen for MPQC from the source code.